.posts-grid {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
}

.posts-grid-filter {
    display: grid;
    grid-template-columns: 1fr;
    text-align: center;
    max-height: 500px;
    place-items: center;
    gap: 10px;
    margin: 10px;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 0 2px 2px rgb(255 255 255 / 50%);
    margin-bottom: 30px;
}

.posts-grid-filter-my-posts {
   display: grid;
   grid-template-columns: 40px 1fr;
   place-items: center;
}

.posts-grid-filter-my-posts input {
    width: 20px;
    height: 20px;
}

.posts-grid-filter-pollution-categories-text {
    font-size: 70%;
}

.posts-grid-filter-pollution-categories {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    place-items: center;
    gap: 30px;
}

.posts-grid-filter-pollution-categories img {
    width: 70px;
    height: 70px;
    place-self: center;
    transition: transform 0.3s ease-in-out;
}

.posts-grid-filter-pollution-categories-selected {
    border: solid red;
    border-radius: 50%;
}

.posts-grid-filter-pollution-categories img:hover {
    cursor: pointer;
    transform: scale(1.3);
}

.posts-grid-leaderboard, .posts-grid-leaderboard-small {
    display: grid;
    grid-template-columns: 1fr;
    gap: 30px;
    max-height: 400px;
    padding: 10px;
    margin-bottom: 40px;
    color: black;
}

@media (max-width: 1200px) {
    .posts-grid {
        display: grid;
        grid-template-columns: 1fr;
    }

    .posts-grid-filter {
        display: none;
    }

    .posts-grid-leaderboard {
        max-height: 1600px;
        display: none;
    }
}

.posts-grid-leaderboard-current-user {
    display: grid;
    grid-template-columns: 1fr;
    gap: 30px;
    place-items: center;
    background-color: #eeffc2;
    padding: 20px;
    border-radius: 10px;
    width: 90%;
}

.posts-grid-leaderboard-top-users {
    display: grid;
    grid-template-columns: 1fr;
    gap: 30px;
    place-items: center;
    background-color: #c8dab3;
    border-radius: 10px;
    padding: 20px;
    width: 90%;
}

.posts-grid-leaderboard-current-user-title {
    font-weight: bold;
    font-size: 150%;
    text-align: center;
}

.posts-grid-leaderboard-current-user-text {
}

.posts-grid-leaderboard-top-title {
    font-weight: bold;
    font-size: 150%;
    text-align: center;
}

.posts-grid-leaderboard-top-3 {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    place-items: center;
    gap: 10px;
}

.posts-grid-leaderboard-top-small {
    display: grid;
    grid-template-columns: 1fr;
    place-items: center;
    gap: 10px;
}

.posts-grid-leaderboard-top-3-entry, .posts-grid-leaderboard-top-entry {
    display: grid;
    grid-template-columns: 1fr;
    place-items: center;
    background-color: black;
    margin: 30px;
    border-radius: 10px;
    gap: 10px;
    text-align: center;
    width: 100%;
    position: relative;
    color: white;
}

.posts-grid-leaderboard-top-number {
    position: absolute;
    top: 5px;
    right: 5px;
    background-color: red;
    color: white;
    padding: 5px 10px;
    border-radius: 50%;
    font-size: 16px;
}

.posts-grid-leaderboard-top-3-user-name {
    font-weight: bold;
}

.posts-grid-leaderboard-top-3-user-points {
    font-weight: bold;
    color: #729d00;
    font-size: 150%;
}

.posts-grid-leaderboard-top-3-user-title {
    font-size: 80%;
    color: grey;
}

.posts-grid-leaderboard-top-3-entry img, .posts-grid-leaderboard-top-entry img {
    width: 40px;
    height: 40px;
    transition: transform 0.3s ease-in-out;
    border-radius: 50%;
}

.posts-grid-leaderboard-top-3-entry img:hover, .posts-grid-leaderboard-top-entry img:hover {
    cursor: pointer;
    transform: scale(1.3);
}

.posts-grid-leaderboard-top-users-table {
    display: grid;
    grid-template-columns: 1fr;
    place-items: center;
    gap: 30px;
}

.posts-grid-leaderboard-top-users-table-entry {
    display: grid;
    grid-template-columns: 30px 40px 1fr 1fr;
    background-color: black;
    gap: 30px;
    border-radius: 10px;
    place-items: center;
    padding: 5px;
    color: white;
}

.posts-grid-leaderboard-top-users-table-entry img {
    width: 40px;
    height: 40px;
    place-self: center;
    transition: transform 0.3s ease-in-out;
}

.posts-grid-leaderboard-top-users-table-entry img:hover {
    cursor: pointer;
    transform: scale(1.3);
}

.posts-grid-leaderboard-top-users-table-entry-number {
}

.posts-grid-leaderboard-top-users-table-entry-user {
    display: grid;
    grid-template-columns: 1fr;
    text-align: left;
    place-items: center;
}

.posts-grid-leaderboard-top-users-table-entry-user-name {
    width: 100%;
}

.posts-grid-leaderboard-top-users-table-entry-user-title {
    width: 100%;
    font-size: 80%;
    color: grey;
}

.posts-grid-leaderboard-top-users-table-entry-user-points {
    text-align: right;
    font-size: 150%;
    font-weight: bold;
    color:  #729d00;;
    width: 90%;
}

.top-podium {
    grid-column: span 3;
}

.top-podium img {
    width: 100%;
}

.empty-top-users {
    display: grid;
    grid-template-columns: 1fr;
    gap: 5px;
    place-items: center;
}

.empty-top-users-text {
    font-size: 130%;
    color: black;
}

.empty-top-users-link {
    font-size: 130%;
    text-decoration: underline;
    transition: transform 0.3s ease-in-out;
}

.empty-top-users-link:hover {
    cursor: pointer;
    transform: scale(1.1);
}